#include "command.h"

const char* Command::type="Command";

const char* Command::getType() const
{
	return type;
}

Command::Command(const string& name,const string& desc,int minArity,int maxArity)
{
	this->name=name;
	this->desc=desc;
	this->minArity=minArity;
	this->maxArity=maxArity;
}

Command::Command(const string& name,const string& desc,int arity)
{
	this->name=name;
	this->desc=desc;
	this->minArity=arity;
	this->maxArity=arity;
}
